package edu.mermet.tp8.fenetres.modales;

import java.awt.Frame ;
import java.awt.GridLayout ;

import javax.swing.BoxLayout ;
import javax.swing.ButtonGroup ;
import javax.swing.JButton ;
import javax.swing.JDialog ;
import javax.swing.JLabel ;
import javax.swing.JPanel ;
import javax.swing.JRadioButton ;

public class ConfigurationMenusDialogue extends JDialog {
  
  JLabel conversion;
  JLabel saisie;
  JLabel diapo;
  JLabel boutons;
  
  JRadioButton conversionAuto;
  JRadioButton saisieAuto;
  JRadioButton diapoAuto;
  JRadioButton boutonsAuto;

  JRadioButton conversionAffiche;
  JRadioButton saisieAffiche;
  JRadioButton diapoAffiche;
  JRadioButton boutonsAffiche;

  JRadioButton conversionCache;
  JRadioButton saisieCache;
  JRadioButton diapoCache;
  JRadioButton boutonsCache;
  
  ButtonGroup convGroup;
  ButtonGroup saisieGroup;
  ButtonGroup diapoGroup;
  ButtonGroup boutonsGroup;
  
  JButton valider;
  JButton annuler;
  
  JPanel grille;
  JPanel valAnn;
  JPanel ensemble;
  
  public ConfigurationMenusDialogue(Frame owner) {
    super(owner,"Configuration des menus", true);
    init();
    pack();
    setLocationRelativeTo(null);
    setVisible(true);
    //this.setLayout (new BoxLayout(this, BoxLayout.PAGE_AXIS));
  }
  
  public void init() {
    GridLayout grid = new GridLayout(4,4);
    ensemble = new JPanel();
    grille = new JPanel(grid);
    valAnn = new JPanel();
    remplPanes();
    ensemble.add(grille);
    ensemble.add (valAnn);
    add(ensemble);
  }

  private void remplPanes ( ) {
    convGroup = new ButtonGroup();
    conversion = new JLabel("Conversion Celsius/Farenheit"); grille.add(conversion);
    conversionAuto = new JRadioButton("Auto");grille.add(conversionAuto);
    conversionAffiche = new JRadioButton("Affiche");grille.add(conversionAffiche);
    conversionCache = new JRadioButton("Caché");grille.add(conversionCache);
    convGroup.add (conversionAuto);convGroup.add (conversionAffiche);convGroup.add(conversionCache);
    
    saisieGroup = new ButtonGroup();
    saisie = new JLabel("Saisie de texte");grille.add(saisie);
    saisieAuto = new JRadioButton("Auto");grille.add(saisieAuto);
    saisieAffiche = new JRadioButton("Affiche");grille.add(saisieAffiche);
    saisieCache = new JRadioButton("Caché");grille.add(saisieCache);
    saisieGroup.add (saisieAuto);saisieGroup.add (saisieAffiche);saisieGroup.add(saisieCache);
    
    diapoGroup = new ButtonGroup();
    diapo = new JLabel("Diaporama");grille.add(diapo);
    diapoAuto = new JRadioButton("Auto");grille.add(diapoAuto);
    diapoAffiche = new JRadioButton("Affiche");grille.add(diapoAffiche);
    diapoCache = new JRadioButton("Caché");grille.add(diapoCache);
    diapoGroup.add (diapoAuto);diapoGroup.add (diapoAffiche);diapoGroup.add(diapoCache);
    
    boutonsGroup = new ButtonGroup();
    boutons = new JLabel("Boutons");grille.add(boutons);
    boutonsAuto = new JRadioButton("Auto");grille.add(boutonsAuto);
    boutonsAffiche = new JRadioButton("Affiche");grille.add(boutonsAffiche);
    boutonsCache = new JRadioButton("Caché");grille.add(boutonsCache);
    boutonsGroup.add (boutonsAuto);boutonsGroup.add (boutonsAffiche);boutonsGroup.add(boutonsCache);
     
    valider = new JButton("Valider");valAnn.add (valider);
    annuler = new JButton("Annuler");valAnn.add (annuler);
  }
  
}
